Summary:	Pale Moon web browser
Name:           palemoon
Version:	33.5.0
Release:	1

Group:	        Networking/Web
License:	MPLv2.0
URL:		http://palemoon.org/
Source1:        palemoon-mozconfig
Source2:        palemoon.desktop
Source3:        palemoon-mimeinfo.xml

BuildRequires:	git
BuildRequires:	alsa-lib-devel
BuildRequires:	autoconf213
BuildRequires:	bzip2-devel
BuildRequires:	dbus-glib-devel
BuildRequires:	desktop-file-utils
BuildRequires:	python2.7
BuildRequires:	python
BuildRequires:  python3-devel
BuildRequires:  python2-devel
BuildRequires:	gcc
BuildRequires:	gcc-c++
BuildRequires:	GConf2-devel
BuildRequires:	glib2-devel
BuildRequires:	gtk3-devel
BuildRequires:	libXt-devel
BuildRequires:	mesa-libGL-devel
BuildRequires:	notification-daemon
BuildRequires:	openssl-devel
BuildRequires:	gtk3-devel
BuildRequires:	gtk2-devel
BuildRequires:	pulseaudio-libs-devel
BuildRequires:	sqlite-devel
BuildRequires:	unzip
BuildRequires:	yasm
BuildRequires:	zip
BuildRequires:	zlib-devel

Provides:      mimehandler(application/x-xpinstall)
Provides:      palemoon
Provides:      webclient

%description
Pale Moon offers you a browsing experience in a browser completely built
from its own, independently developed source that has been forked off from
Firefox/Mozilla code, with carefully selected features and optimizations to
improve the browser's speed*, resource use, stability and user experience,
while offering full customization and a growing collection of extensions
and themes to make the browser truly your own.

%prep
git clone https://repo.palemoon.org/MoonchildProductions/Pale-Moon.git
cd Pale-Moon
git submodule init && git submodule update
git checkout release && git submodule update
%{__cp} %{SOURCE1} ./.mozconfig

pathfix.py -pni "%{__python3} %{py3_shbang_opts}" . whatnot/file-with-dashes.py else/no_py_extension

%build
cd Pale-Moon
./mach build

%install
cd Pale-Moon
 make -f client.mk \
      DESTDIR=%{buildroot} \
      idldir=%{_datadir}/idl/%{name} \
      includedir=%{_includedir}/%{name} \
      installdir=%{_libdir}/%{name} \
      sdkdir=%{_libdir}/%{name}-devel \
      install
      
%{__mkdir_p} %{buildroot}%{_datadir}/applications
desktop-file-install --dir %{buildroot}%{_datadir}/applications %{SOURCE2}

# desktop files
%{__sed} -e "s/@EXEC@/%{appname}/;" \
   -e "s/@ICON@/%{appname}/;" \
%{buildroot}%{_datadir}/applications/palemoon.desktop
   
# mimetypes
%{__install} -Dm0644 %{SOURCE3} \
   %{buildroot}%{_datadir}/mime/packages/%{name}.xml

# icons
%{__mkdir_p} %{buildroot}%{_datadir}/icons/hicolor/symbolic/apps
for s in 16 22 24 32 48 256 ;
do
   %{__mkdir_p} %{buildroot}%{_datadir}/icons/hicolor/${s}x${s}/apps
   %{__cp} -p /builddir/build/BUILD/Pale-Moon/palemoon/branding/official/default${s}.png \
   %{buildroot}%{_datadir}/icons/hicolor/${s}x${s}/apps/.png
done


pathfix.py -pni "%{__python2} %{py2_shbang_opts}" %{buildroot}%{python2_sitearch}
pathfix.py -pni "%{__python3} %{py3_shbang_opts}" %{buildroot}%{python3_sitearch} %{buildroot}%{_bindir}/*

%clean
%{__rm} -rf %{buildroot} || :

%post
touch --no-create %{_datadir}/icons/hicolor 1>/dev/null 2>&1 || :

%posttrans
update-desktop-database 1>/dev/null 2>&1 & :
gtk-update-icon-cache %{_datadir}/icons/hicolor 1>/dev/null 2>&1 & :
update-mime-database -n ${_datadir}/mime 1>/dev/null 2>&1 & :

%files -f file.lst
%defattr(-,root,root)
%doc AUTHORS LICENSE

%changelog
* Thu Jul 25 2019 B Stack <bgstack15@gmail.com> - 28.6.1-1
- update version

* Mon Jul  8 2019 B Stack <bgstack15@gmail.com> - 28.6.0.1-2
- remove custom patches for stock build

